> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tangoanalytics.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post forumssystemsearch

> Performs a Criteria search for Forum Views.

This operation requires a Forum View Criteria value

This operation returns a Forum View Results value.



## OpenAPI

````yaml /tango_reserve/integrations/guides/aq-api.yaml post /forums/system/search
openapi: 3.1.0
info:
  description: phoenix-restful
  version: '2.0'
  title: Reserve Rest API
servers:
  - url: /aq-api/
security: []
tags:
  - name: AccountService
    description: |-
      Account Service

      The Accounts service provides an interface for business customer accounts
      whose intent includes creating resources which may be reserved in a public
      or private space.
  - name: AnalyticsGatewayService
    description: |-
      Provides gateway interface into analytic reports generated from Phoenix
      data.
  - name: ApplicationService
    description: >-
      Application Service


      Provides operations for creating and managing external applications which
      may interact with

      the Agilquest Forums platform.
  - name: ApprovalsService
    description: Base class for RESTful services.
  - name: AvailabilityService
    description: >-
      Availability Service


      Exposes operations which provide availability information for Assets
      within Agilquest Forums.
  - name: CacheReadinessService
  - name: ChargeCodeService
    description: |-
      Charge Code Service

      The Charge Code Service provides the RESTful end points for interacting
      with Charge Codes in the Agilquest.
  - name: ForumService
    description: Base class for RESTful services.
  - name: LanguageService
    description: |-
      Provides a RESTful interface to the Language services for language
      tags and, language bundles, and language data for Agilquest.
  - name: LocaleService
    description: >-
      The Locale Service provides TimeZone and LanguageData information about
      the

      Agilquest.
  - name: LocationService
    description: |-
      The Location Service provides an interface for interacting with Locations
      and Locator Structures in the Agilquest.
  - name: LookupService
    description: |-
      The lookup service exposes the code table lookup functionality of the
      Agilquest.
  - name: PropertiesService
    description: Retrieves the properties associated with a given account.
  - name: ReservationEventViewsService
    description: >-
      The Reservation Event View Service provides views of Reservation events
      (ReservationGroup).
  - name: ReservationService
    description: |-
      The Reservation Service handles creating, changing, and retrieving
      reservations through the ReservationServiceBusiness interface.
  - name: ReservationViewsService
    description: |-
      The Reservation View Service provides views into the existing reservation
      information maintained by the Agilquest.
  - name: ResourceGroupService
    description: |-
      The Resource Group service provides an interface into manipulating
      the resource groups in the Agilquest.
  - name: ResourceService
    description: Base class for RESTful services.
  - name: ResourceViewsService
    description: |-
      The Resource Views service provides views into existing resources in
      the Agilquest.
  - name: ReviewsService
    description: Base class for RESTful services.
  - name: RoomConfigurationService
    description: Base class for RESTful services.
  - name: SplashPageService
    description: Base class for RESTful services.
  - name: SystemService
    description: System Service.
  - name: UserGroupService
    description: Base class for RESTful services.
  - name: UserService
    description: |-
      The User Service provides an interface for adding, editing, and removing
      users in the Agilquest.
  - name: UserViewsService
    description: |-
      The User Views service provides views into the existing User information
      maintained by the Agilquest.
  - name: VisitorService
    description: >-
      The Visitor Service provides an interface for adding, editing, and
      removing

      visitors in the Agilquest.
paths:
  /forums/system/search:
    post:
      tags:
        - ForumService
      description: |-
        Performs a Criteria search for Forum Views.

        This operation requires a Forum View Criteria value

        This operation returns a Forum View Results value.
      operationId: searchForumViews
      parameters: []
      requestBody:
        required: false
        content:
          application/json:
            examples:
              example:
                value:
                  nameSearchType: BeginsWith
                  sysidForumMembers:
                    - 12345
                    - 12345
                  sysidForums:
                    - 12345
                    - 12345
                  schemaName: ...
                  activeOnly: true
                  schemaSearchType: Contains
                  name: ...
                  startRow: 12345
                  maxRows: 12345
            schema:
              $ref: '#/components/schemas/ForumViewCriteria'
      responses:
        '201':
          content:
            application/json:
              examples:
                example:
                  value:
                    nextStartRow: 12345
                    views:
                      - active: true
                        sysidForum: 12345
                        name: ...
                        schemaName: ...
                      - active: true
                        sysidForum: 12345
                        name: ...
                        schemaName: ...
                    hasAdditional: true
              schema:
                $ref: '#/components/schemas/ForumViewWrapper'
          description: ForumViewResults
components:
  schemas:
    ForumViewCriteria:
      type: object
      title: ForumViewCriteria
      required:
        - activeOnly
      allOf:
        - $ref: '#/components/schemas/CriteriaBase'
        - properties:
            nameSearchType:
              $ref: '#/components/schemas/StringSearchType'
            sysidForumMembers:
              type: array
              items:
                type: integer
            sysidForums:
              type: array
              items:
                type: integer
            schemaName:
              type: string
            activeOnly:
              type: boolean
            schemaSearchType:
              $ref: '#/components/schemas/StringSearchType'
            name:
              type: string
      example:
        nameSearchType: Contains
        sysidForumMembers:
          - 12345
          - 12345
        sysidForums:
          - 12345
          - 12345
        schemaName: ...
        activeOnly: true
        schemaSearchType: BeginsWith
        name: ...
        startRow: 12345
        maxRows: 12345
    ForumViewWrapper:
      type: object
      title: ForumViewWrapper
      required:
        - nextStartRow
        - hasAdditional
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            nextStartRow:
              type: integer
              format: int32
            views:
              type: array
              items:
                $ref: '#/components/schemas/ForumView'
            hasAdditional:
              type: boolean
      example:
        nextStartRow: 12345
        views:
          - active: true
            sysidForum: 12345
            name: ...
            schemaName: ...
          - active: true
            sysidForum: 12345
            name: ...
            schemaName: ...
        hasAdditional: true
    CriteriaBase:
      type: object
      title: CriteriaBase
      required:
        - startRow
        - maxRows
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            startRow:
              type: integer
              format: int32
            maxRows:
              type: integer
              format: int32
      example:
        startRow: 12345
        maxRows: 12345
    StringSearchType:
      type: string
      title: StringSearchType
      enum:
        - ExactMatch
        - BeginsWith
        - Contains
    DependentData:
      type: object
      title: DependentData
      example: {}
    ForumView:
      type: object
      title: ForumView
      required:
        - active
      allOf:
        - $ref: '#/components/schemas/ViewBase'
        - properties:
            active:
              type: boolean
            sysidForum:
              type: integer
              format: int32
            name:
              type: string
            schemaName:
              type: string
      example:
        active: true
        sysidForum: 12345
        name: ...
        schemaName: ...
    ViewBase:
      type: object
      title: ViewBase
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - {}
      example: {}

````